MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027118Open CASCADE[OCCT] OCCT:Configurationpublic2016-01-27 10:192018-09-04 16:12
Reporterkgv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027118: Configuration - do not suppress deprecation warnings when using msvc
DescriptionVS project files generated by CMake and genproj.bat define option -wd4996 to suppress useless security warnings (when using "insecure" version of C functions instead of msvc-specific "secure" version).

This flag has a side effect - not only secure warnings are suppressed, but ALL deprecation warnings (e.g. defined with __declspec(deprecated)). This should be fixed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Fileslog file icon warnings_deprecated_msvc.log (117,417 bytes) 2016-01-30 16:16

- Relationships
related to 0027113closedabv Open CASCADE Coding - add macros Standard_DEPRECATED for marking deprecated functionality 

-  Notes
(0050259)
git (administrator)
2016-01-30 15:53

Branch CR27118 has been created by kgv.

SHA-1: c61702b22c09e2214b99b40784929f7b227e49d8


Detailed log of new commits:

Author: kgv
Date: Sat Jan 30 15:51:35 2016 +0300

    0027118: Configuration - do not suppress deprecation warnings when using msvc
    
    Patch removes option -wd4996 from VS project settings (which suppresses old deprecation warnings).
    Instead, macros _CRT_SECURE_NO_WARNINGS (suppresses 444 warnings)
    and _CRT_NONSTDC_NO_DEPRECATE (suppresses 17 warnings) have been added.
    
    gethostbyname() deprecation warning has been suppressed locally in STEPConstruct_AP203Context.cxx,
    as well as GetVersionEx() in OSD_Host.cxx.
(0050260)
kgv (developer)
2016-01-30 16:10

Patch is ready for review in branch CR27118 of OCCT and Products repositories (only adm/cmake/occt_defs_flags.cmake is changed within Products).
(0050717)
git (administrator)
2016-02-13 13:36

Branch CR27118_1 has been created by abv.

SHA-1: 7bb1cb1d55af1cfd2b450423c284763d8fd9b734


Detailed log of new commits:

Author: kgv
Date: Sat Jan 30 15:51:35 2016 +0300

    0027118: Configuration - do not suppress deprecation warnings when using msvc
    
    Patch removes option -wd4996 from VS project settings (which suppresses old deprecation warnings).
    Instead, macros _CRT_SECURE_NO_WARNINGS (suppresses 444 warnings) and _CRT_NONSTDC_NO_DEPRECATE (suppresses 17 warnings) have been added.
    
    Deprecation warning on GetVersionEx() has been suppressed locally in OSD_Host.cxx.
    In STEPConstruct_AP203Context.cxx, OSD_Host is used instead of low-level system functions.
    This eliminates dependency of TKSTEP on winsock32.lib on Windows.

Author: kgv
Date: Sat Jan 30 14:54:12 2016 +0300

    0027113: Coding - add macros Standard_DEPRECATED for marking deprecated functionality
(0050719)
git (administrator)
2016-02-13 18:09

Branch CR27118_1 has been updated forcibly by abv.

SHA-1: 2aaba5a4441d0179a96e235e9df9c9ab1577aad3
(0050724)
git (administrator)
2016-02-14 07:56

Branch CR27118_1 has been updated forcibly by abv.

SHA-1: eb89437bae3ded4a63dc0c45f0ad562be55e9339
(0050993)
bugmaster (administrator)
2016-02-19 10:41

Tested in framework of branch CR27111_6
(0052777)
git (administrator)
2016-04-17 12:57

Branch CR27118 has been deleted by kgv.

SHA-1: c61702b22c09e2214b99b40784929f7b227e49d8
(0052839)
git (administrator)
2016-04-17 13:18

Branch CR27118_1 has been deleted by kgv.

SHA-1: eb89437bae3ded4a63dc0c45f0ad562be55e9339

- Related Changesets
occt: master fe9b8ff2
Timestamp: 2016-01-30 12:51:35
Author: abv
Committer: abv
Details ] Diff ]
0027118: Configuration - do not suppress deprecation warnings when using msvc

Patch removes option -wd4996 from VS project settings (which suppresses old deprecation warnings).
Instead, macros _CRT_SECURE_NO_WARNINGS (suppresses 444 warnings) and _CRT_NONSTDC_NO_DEPRECATE (suppresses 17 warnings) have been added.

Deprecation warning on GetVersionEx() has been suppressed locally in OSD_Host.cxx.
In STEPConstruct_AP203Context.cxx, OSD_Host is used instead of low-level system functions.
This eliminates dependency of TKSTEP on winsock32.lib on Windows.
mod - adm/cmake/occt_defs_flags.cmake Diff ] File ]
mod - adm/templates/template.vc10 Diff ] File ]
mod - adm/templates/template.vc10x Diff ] File ]
mod - adm/templates/template.vc8 Diff ] File ]
mod - adm/templates/template.vc8x Diff ] File ]
mod - adm/templates/template.vc9 Diff ] File ]
mod - adm/templates/template.vc9x Diff ] File ]
mod - src/OSD/OSD_Environment.cxx Diff ] File ]
mod - src/OSD/OSD_Host.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Stl.cxx Diff ] File ]
mod - src/STEPConstruct/STEPConstruct_AP203Context.cxx Diff ] File ]
mod - src/TKSTEP/EXTERNLIB Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-27 10:19 kgv New Issue
2016-01-27 10:19 kgv Assigned To => bugmaster
2016-01-27 10:19 kgv Assigned To bugmaster => kgv
2016-01-27 10:19 kgv Relationship added related to 0027113
2016-01-30 15:53 git Note Added: 0050259
2016-01-30 16:10 kgv Note Added: 0050260
2016-01-30 16:10 kgv Assigned To kgv => abv
2016-01-30 16:10 kgv Status new => resolved
2016-01-30 16:16 kgv File Added: warnings_deprecated_msvc.log
2016-02-13 13:36 git Note Added: 0050717
2016-02-13 18:09 git Note Added: 0050719
2016-02-14 07:56 git Note Added: 0050724
2016-02-19 10:40 bugmaster Assigned To abv => bugmaster
2016-02-19 10:40 bugmaster Status resolved => reviewed
2016-02-19 10:41 bugmaster Note Added: 0050993
2016-02-19 10:41 bugmaster Status reviewed => tested
2016-02-21 08:52 abv Changeset attached => occt master fe9b8ff2
2016-02-21 08:52 abv Assigned To bugmaster => abv
2016-02-21 08:52 abv Status tested => verified
2016-02-21 08:52 abv Resolution open => fixed
2016-04-17 12:57 git Note Added: 0052777
2016-04-17 13:18 git Note Added: 0052839
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed
2018-09-04 16:12 kgv Relationship added parent of 0030107


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker